#pragma once
#include "..\..\..\OverlordEngine\Scenegraph\GameObject.h"
#include "Components/Components.h"

class ColliderComponent;

class Bullet : public GameObject
{
public:
	Bullet(XMFLOAT3 position);
	virtual ~Bullet();

	virtual void Initialize(const GameContext& gameContext);
	void UpdateCreate( const GameContext& gameContext );
	void Timer( const GameContext& gameContext );

	bool IsDead();

private:
	bool m_IsDead;
	XMFLOAT3 m_Position;
	float m_Count;

	// -------------------------
	// Disabling default copy constructor and default 
	// assignment operator.
	// -------------------------
	Bullet(const Bullet& t);
	Bullet& operator=(const Bullet& t);
};